Trash

Trash API

1.0.0OAS 3.1
API Base URL
  • Server 1:https://{your-bynder-domain}/
Security
OAuth2 (oauth2)

Authorization Code OAuth Flow

Authorize URL: https://{your-auth-url}

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • trash.assets -

Client Credentials OAuth Flow

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • trash.assets -
permanentToken (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Authorization.

Example: Authorization: 123

Trash

Retrieve recently removed assets

Retrieve assets removed in the last 30 days.

get
https://{your-bynder-domain}/api/trash/media

Query Parameters

limitinteger

Default:10

Example:20

pageinteger

Default:1

Example:1

dateRemovedstring(date-time)

Set a date range together with the “dateRemovedFrom” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2017-04-01T00:00:00Z

fieldstring

Allowed values:media.dateCreatedmedia.dateRemovedmedia.namemedia.username

Example:media.dateCreated

orderstring

Allowed values:ascdesc

Example:asc

Response

application/json

Successfully retrieved recently removed assets

S3_filepointerstring

Example:___URL_TO_BYNDER_CDN___

dateCreatedstring(date-time)

Example:2017-02-12T10:12:19+00:00

dateRemovedstring(date-time)

Example:2017-09-05T13:11:49+00:00

idstring

Example:00000000-0000-0000-0000000000000000

namestring

Example:Beach

userIdstring

Example:00000000-0000-0000-0000000000000000

usernamestring

Example:johndoe@bynder.com

get/api/trash/media
 
application/json